@charset "utf-8";
@import url('https://fonts.googleapis.com/css2?family=Noto+Serif+JP:wght@500&display=swap');

/***************************************
**
** default
**
***************************************/
html {
}

body {
  font-size: 1.4em;
  font-family: 'Noto Sans JP', sans-serif;
  color: #495c85;
  overflow-x: hidden;
}

section,
article,
footer {
  max-width: 500px;
  margin: 0 auto;
  padding: 0 20px;
}

img {
  width: 100%;
}

.scroll-content {
  opacity: 0;
  transform: translateY(24px);
  transition:
    opacity 0.8s ease,
    transform 0.8s ease;
}

.scroll-content.fade-in {
  opacity: 1;
  transform: translateY(0);
}

.annotation {
  color: #5e5e5e;
  font-size: 1rem;
  font-weight: 400;
  line-height: 180%;
  letter-spacing: 0.01875rem;
}
/***************************************
**
** follow-area
**
***************************************/
#follow-btn {
  transition: 0.3s;
  opacity: 1;
  z-index: 2;
  padding: 0 10px;
  position: relative;
  max-width: 500px;
  margin: 0 auto;
}

#follow-nav {
  margin-bottom: 0;
  display: none;
  transition: 0.3s;
  opacity: 1;
  max-width: 500px;
  margin: 0 auto;
  padding: 0 20px;
  z-index: 5;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
}

#follow-btn.hide {
  opacity: 0;
}

#follow-btn.hide .follow-btn {
  display: none;
}

#follow-nav.hide {
  opacity: 0;
}

.follow-btn {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: center;
  align-items: flex-end;
  position: fixed;
  z-index: 3;
  bottom: 0;
  padding: 0 5px 12px;
  max-width: 500px;
  left: 0;
  right: 0;
  margin: 0 auto;
  width: 100%;
}

@media (max-width: 500px) {
  .follow-btn {
    max-width: 100%;
    padding: 0 10px 12px;
  }
}

.follow-btn p:nth-of-type(1) {
  margin-right: 2px;
}

.follow-btn p a:hover {
  opacity: 1;
}

#follow-nav .drawer-overlay {
  z-index: 6;
}

#follow-nav .drawer-close button {
  display: block;
  padding: 10px 0.75rem 30px;
}

#follow-nav .drawer-open button {
  display: none;
}

#follow-nav .drawer-open .drawer-nav {
  z-index: 7;
  height: 80%;
  border-radius: 0 0 0 40px;
  width: 100%;
}

#follow-nav .drawer-hamburger {
  width: 50px;
  position: absolute;
  top: 10px;
  right: 10px;
}

#follow-nav .drawer-menu {
  text-align: right;
  padding: 20px 50px;
  text-align: start;
}

#follow-nav .drawer-nav ul a.drawer-menu-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #094;
  font-size: 1.3rem;
  font-weight: 500;
  font-family: 'URW Antiqua';
  font-style: italic;
  border-bottom: 2px solid #495c8521;
}

#follow-nav .drawer-nav ul a.drawer-menu-item:hover {
  text-decoration: none;
}

#follow-nav .drawer-nav ul a.drawer-menu-item span:nth-of-type(1) {
  line-height: 2;
}

#follow-nav .drawer-nav ul a.drawer-menu-item span:nth-of-type(2) {
  display: block;
  color: #495c85;
  font-size: 1.4rem;
  font-weight: 700;
  line-height: 150%;
  font-style: normal;
  letter-spacing: 0.02625rem;
}

.icon-about {
  width: 36px;
  height: 16px;
}

.icon-plan {
  width: 30px;
  height: 16px;
}

.icon-point {
  width: 44px;
  height: 16px;
}

a.sub-menu-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #f37022;
  font-size: 1.3rem;
  font-weight: 500;
  font-style: italic;
  font-family: 'URW Antiqua';
}

a.sub-menu-item span:nth-of-type(1) {
  line-height: 2;
}

.sub-menu li {
  padding: 10px 0 10px 25px;
  border-bottom: 2px solid #495c8521;
}

a.sub-menu-item span:nth-of-type(2) {
  display: block;
  color: #495c85;
  font-size: 1.4rem;
  font-weight: 700;
  line-height: 150%;
  font-style: normal;
  letter-spacing: 0.02625rem;
}

.img-close {
  width: 50px;
  margin: 10px 10px 0;
}

.icon-right {
  width: 25px;
}

.drawer-menu-item {
  padding: 0.75rem 0 0.75rem 0.75rem;
}

.close-btn {
  display: flex;
  justify-content: flex-end;
}

/***************************************
**
** think-marriage
**
***************************************/
section.think-marriage {
  margin-bottom: 0;
  position: relative;
  max-width: 500px;
  margin: 0 auto;
  padding: 0;
}

section.think-marriage h1 {
  position: relative;
}

section.think-marriage .annotation {
  padding: 15px 0;
  font-size: 1rem;
  color: #808080;
  line-height: 180%;
  letter-spacing: 0.01875rem;
  padding: 20px 20px 30px;
}

.title02 {
  display: flex;
  justify-content: flex-end;
  text-align: right;
  position: absolute;
  top: 35%;
  left: 0px;
  right: 3%;
}

.title02 h1 {
  text-align: right;
  width: 100%;
}

.title-span {
  color: transparent;
  display: block;
  overflow: hidden;
  position: relative;
  transition: color 0ms 0.5s;
  width: max-content;
  margin-left: auto;
}

.title-span:nth-of-type(2) {
  transform: translateY(-10px);
}

.title-span:nth-of-type(3) {
  transform: translateY(-40px);
}

.title-span:nth-of-type(4) {
  transform: translateY(-55px);
}

.title-span img {
  opacity: 0;
  transition: opacity 0ms 0.5s;
}

.title-span::after {
  content: '';
  left: 0;
  display: block;
  position: absolute;
  top: 0;
  transform: translateX(-100%);
  width: 100%;
  height: 100%;
  background-color: #ffffff;
}
.title-span.active {
  color: black;
}
.title-span.active img {
  opacity: 1;
}
.title-span.active::after {
  animation: lineAnime 1s;
}
@keyframes lineAnime {
  0% {
    transform: translateX(-100%);
  }
  50% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(100%);
  }
}

.title-sunmarie {
  max-width: 135px;
}

.title-class {
  max-width: 252px;
}

.title-service {
  max-width: 142px;
}

.title-kanau {
  max-width: 250px;
}

/***************************************
**
** campaign
**
***************************************/

.campaign-inner {
  padding-bottom: 30px;
}

.campaign-img-wrapper {
  position: relative;
}

.campaign-inner p.annotation {
  padding-top: 10px;
}

.campaign-amount {
  position: absolute;
  padding: 20px;
  top: 26.5%;
  left: 0%;
}

.campaign-amount.zoom-in {
  animation: zoomIn 1s ease-out forwards;
}

/***************************************
**
** points-three
**
***************************************/
.points-three {
  padding: 40px 20px 30px;
  background-color: #fef4ed;
  margin-top: -30px;
}

.points-box {
  opacity: 0;
  transform: translateY(30px);
  transition: all 1s cubic-bezier(0.33, 1, 0.68, 1);
  margin-bottom: 15px;
}

.points-box.animate {
  opacity: 1;
  transform: translateY(0);
}

/***************************************
**
** achievements
**
***************************************/

.achievements {
  background-image: url('/img/af/img_episode_bg@2x.png');
  background-repeat: no-repeat;
  padding: 20px 0px 8px;
}

.achievements-title {
  margin-bottom: -10px;
}

.achievements .swiper {
  padding-bottom: 25px;
}
.achievements .swiper .swiper-pagination {
  bottom: 12px;
}
.swiper-slide img {
  height: auto;
  width: 100%;
}

.achievements .swiper .swiper-pagination-bullet {
  background: #ffffff;
  border: 1px solid #009944;
  opacity: 1;
}
.achievements .swiper .swiper-pagination-bullet-active {
  background: #009944;
  border-color: #009944;
}

/***************************************
**
** about
**
***************************************/

.about {
  padding: 0;
  position: relative;
}

.about > img {
  width: 100%;
  display: block;
}

.about-img {
  position: absolute;
  top: 25%;
  left: 6%;
  max-width: 240px;
  text-align: center;
  width: 49vw;
}

.about-sunmarie {
  margin-top: 16px;
}

/***************************************
**
** agency
**
***************************************/

.agency {
  margin-top: 30px;
}
.agency-text {
  color: #495c85;
  text-align: center;
  font-size: 1.4rem;
  font-weight: 400;
  line-height: 180%;
  margin-top: 15px;
  margin-bottom: 30px;
}

.text-orenge {
  color: #f37022;
  font-size: 1.8rem;
  line-height: 180%;
  font-weight: 700;
}

.text-orenge span {
  font-size: 1.4rem;
}

.text-bold {
  font-size: 1.8rem;
  font-weight: 700;
}

.text-bold span {
  font-size: 1.4rem;
}

.diagram-box {
  position: relative;
  display: inline-block;
}

.bg-img {
  display: block;
  width: 100%;
}

.overlay-img {
  position: absolute;
  top: 36px;
  right: 32px;
  max-width: 97px;
  width: 25vw;
  opacity: 0;
  transform: scale(0);
  transition: all 1.5s ease;
}

.overlay-img.zoom-in {
  animation: zoomIn 1.5s ease-out forwards;
}

@keyframes zoomIn {
  0% {
    transform: scale(0);
    opacity: 0;
  }
  50% {
    opacity: 0.8;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}

/***************************************
**
** point共通
**
***************************************/
.points {
  padding: 0 20px;
}

.support-box {
  background-color: white;
  padding: 10px;
  border-radius: 10px;
  margin-top: 20px;
  opacity: 0;
  transform: translateX(100px);
  transition: all 0.8s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}

.support-box.slide-in {
  opacity: 1;
  transform: translateX(0);
}

.support-box.slide-in-left {
  opacity: 0;
  transform: translateX(-100px);
  transition: all 0.8s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}

.support-box.slide-in-left.animate {
  opacity: 1;
  transform: translateX(0);
}

.support-text {
  text-align: center;
  font-size: 1.2rem;
  font-weight: 700;
  line-height: 180%;
  letter-spacing: 0.0225rem;
  margin: 10px 0;
}

.text-green {
  color: #094;
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 150%;
  letter-spacing: 0.03375rem;
  padding: 5px 0;
  display: inline-block;
}

/***************************************
**
** point01
**
***************************************/
.point01 {
  opacity: 0;
  transform: translateY(60px);
  transition: all 1.5s cubic-bezier(0.33, 1, 0.68, 1);
}

.point01.inview {
  opacity: 1;
  transform: translateY(0);
}

.point-title {
  display: block;
  opacity: 1;
}

.point-title.inview {
  animation: fadeup-point 1.5s cubic-bezier(0.33, 1, 0.68, 1) forwards;
}

@keyframes fadeup-point {
  0% {
    transform: translateY(60px);
    opacity: 0;
  }
  80% {
    opacity: 1;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

.support-container {
  background-color: #e3f7e0;
  padding: 10px 20px;
  margin-top: -22px;
  border-radius: 0 0 1.25rem 1.25rem;
}

/***************************************
**
** point02
**
***************************************/

.point2 {
  margin-top: 30px;
  margin-bottom: 30px;
  opacity: 0;
  transform: translateY(60px);
  transition: all 1.5s cubic-bezier(0.33, 1, 0.68, 1);
}

.point2.inview {
  opacity: 1;
  transform: translateY(0);
}

.point2-container {
  margin-top: -25px;
  border-radius: 0 0 20px 20px;
  background: #fef5f0;
  padding: 25px 20px;
}

.member-box {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
}

.member-box-text {
  text-align: center;
}

.reef-left,
.reef-light {
  max-width: 44px;
  height: 113px;
  width: 13vw;
}

.img-text {
  width: 163px;
  max-width: 45vw;
}

.point2-3-img {
  margin: 20px 0;
}

@property --count {
  syntax: '<integer>';
  inherits: false;
  initial-value: 0;
}

.countUp {
  counter-set: countUp var(--count);
  animation: none;
  font-variant-numeric: tabular-nums;
  font-family: 'europa', sans-serif;
  color: #f37022;
  font-size: 4.2rem;
  font-weight: 700;
  line-height: 150%;
  margin-top: -8px;
  opacity: 0;
  transform: scale(0);
  transition: all 0.5s ease;
}

.countUp.animate {
  opacity: 1;
  transform: scale(1);
  animation: countUp 2s 1;
  animation-fill-mode: forwards;
  animation-timing-function: cubic-bezier(1, 0.4, 0.2, 1);
}

.countUp::after {
  content: counter(countUp) '名';
}

@keyframes countUp {
  100% {
    --count: 101240;
  }
}

/***************************************
**
** point03
**
***************************************/

.point3 {
  opacity: 0;
  transform: translateY(60px);
  transition: all 1.5s cubic-bezier(0.33, 1, 0.68, 1);
}

.point3.inview {
  opacity: 1;
  transform: translateY(0);
}

.point3-container {
  background-color: #e3f7e0;
  padding: 25px 20px;
  margin-top: -22px;
  border-radius: 0 0 1.25rem 1.25rem;
}

.point3-container img {
  margin-bottom: 20px;
}
/***************************************
**
** cta
**
***************************************/

.cta {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 20px;
  margin: 0 auto 30px;
  margin-top: 30px;
}

@keyframes shimmer {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(100%);
  }
}

.shimmer-effect {
  position: relative;
  overflow: hidden;
}

.shimmer-effect::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    90deg,
    transparent,
    rgba(255, 255, 255, 0.8),
    transparent
  );
  animation: shimmer 2s infinite;
  pointer-events: none;
}

/***************************************
**
** plan
**
***************************************/
.plan {
  padding: 0;
}

.plan-container {
  padding: 0 20px;
}

.plan-title {
  font-size: 2rem;
  font-weight: 700;
  text-align: center;
  color: #444;
  margin-bottom: 30px;
}

.plan-container .annotation {
  margin-top: 10px;
}

.discount-img {
  padding: 30px 0;
  opacity: 0;
  transform: scale(0);
  transition: all 1s ease;
}

.discount-img.zoom-in {
  animation: zoomIn 1s ease-out forwards;
}

.campaign-img.zoom-in {
  animation: zoomIn 1s ease-out forwards;
}

/***************************************
**
** footer
**
***************************************/
footer {
  background-color: #666666;
  padding: 3% 0 9%;
  margin: 8% auto 0;
}

footer P {
  text-align: center;
  font-size: 1em;
  margin-bottom: 20px;
}

footer P a {
  color: #fff;
}

footer p small {
  color: #fff;
  font-weight: normal;
  font-size: 0.8em;
}

footer .site-logo {
  width: 25%;
  margin: 0 auto 20px;
}

/***************************************
**
** form
**
***************************************/
.form-wrapper {
  margin: 0 auto;
  padding-top: 5%;
  max-width: 500px;
}

.form__tab {
  display: flex;
  align-items: center;
  text-align: center;
  font-size: 2rem;
  font-family: YuGothic, 'Yu Gothic', sans-serif;
  margin: 0 auto 30px;
  padding: 0 20px;
}

.form__tab-raiten {
  border-radius: 10px 0 0 10px;
  position: relative;
}

.form__tab-risou {
  border-radius: 0 10px 10px 0;
  position: relative;
}

.form__tab-risou.active {
  background: #ef7a00;
  color: #fff;
  font-weight: bold;
}

.form__tab-risou.active::before {
  content: '';
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  width: 27px;
  height: 11px;
  background: #f37022;
  clip-path: polygon(0 0, 100% 0, 50% 100%);
}

.form__tab-raiten.active {
  background-color: #fff;
  background: #094;
  font-weight: bold;
  color: #fff;
}

.form__tab-raiten.active::before {
  content: '';
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  width: 27px;
  height: 11px;
  background: #094;
  clip-path: polygon(0 0, 100% 0, 50% 100%);
}

.form__tab-item {
  font-weight: bold;
  color: #495c85;
  cursor: pointer;
  font-size: 1.4rem;
  width: 90%;
  padding: 15px 0;
  box-shadow:
    0 7px 34px rgb(50 50 93 / 10%),
    0 3px 6px rgb(0 0 0 / 8%);
  padding: 20px 0;
}

.form__tab-item:hover {
  opacity: 0.75;
}

.hide {
  display: none;
}
